import request from '@/utils/request'

/**
 * 待办查询
 * @param data
 * @returns {AxiosPromise}
 */
export function xrBizRemListList(data) {
  return request({
    url: '/xrTSBizRemList/list',
    method: 'post',
    data
  })
}

/**
 * 启动待办
 * @param params
 * @returns {AxiosPromise}
 */
export function xrBizRemListSaveIvdAccept(data) {
  return request({
    url: '/xrTSBizRemList/saveIvdAccept',
    method: 'post',
    data
  })
}

/**
 * 流程控制
 * @param data
 * @returns {AxiosPromise}
 */
export function xrBizRemListProcessControl(data) {
  return request({
    url: '/xrTSBizRemList/processControl',
    method: 'post',
    data
  })
}

export function listXrBizRemList(params) {
  return request({
    url: '/xrTSBizRemList/listXrBizRemList',
    method: 'get',
    params
  })
}

// 外单位移出相关API
export function xrSeriousIllegalExternalUnitRemList(data) {
  return request({
    url: '/xrSeriousIllegalExternalUnitRemList/list',
    method: 'post',
    data
  })
}

export function listXrSeriousIllegalExternalUnitList(data) {
  return request({
    url: '/xrSeriousIllegalExternalUnitRemList/listXrSeriousIllegalExternalUnitList',
    method: 'post',
    data
  })
}

export function xrSeriousIllegalExternalUnitRemListSaveIvdAccept(data) {
  return request({
    url: '/xrSeriousIllegalExternalUnitRemList/saveIvdAccept',
    method: 'post',
    data
  })
}

export function xrSeriousIllegalExternalUnitRemListByBizSeqNo(params) {
  return request({
    url: '/xrSeriousIllegalExternalUnitRemList/listByBizSeqNo',
    method: 'get',
    params
  })
}

export function xrSeriousIllegalExternalUnitRemListProcessControl(data) {
  return request({
    url: '/xrSeriousIllegalExternalUnitRemList/processControl',
    method: 'post',
    data
  })
}

export function xrExternalUnitRemListGetApprovalFormByBizSeqNo(params) {
  return request({
    url: '/xrSeriousIllegalExternalUnitRemList/getApprovalFormByBizSeqNo',
    method: 'get',
    params
  })
}

export function getLostCreditExplain(params) {
  return request({
    url: '/xrTSBizRemList/getLostCreditExplain',
    method: 'get',
    params
  })
}
